/*//Banner Section
$bannerHLarge: 740px;
$bannerHMedium: 640px;
$bannerHSmall: 480px;
$bannerTopToCenterSpacing:100px;*/

$videoContainerWidth: 440px;
$videoContainerHeight: 340px;

.hamburger-box{
  pointer-events:none;
}

#bannerContainer {
  display:block;
  width: 100%;
  height: $bannerHLarge;
  max-height: $bannerHLarge;
  @media #{$small-only} {
    height: $bannerHSmall;
    max-height: $bannerHSmall;
    background: {
        image: url("../img/banner-image-mask-top.png");
        repeat: no-repeat;
        position: 0 right;
        size: auto;
    }
  }

  @media #{$medium-only} {
    height: $bannerHMedium;
    max-height: $bannerHMedium;
    background: {
        image: url("../img/banner-image-mask-top.png");
        repeat: no-repeat;
        position: 0 right;
        size: auto;
    }
  }
}

.bannerContainer .parallax{
  display: inline-block;
}


#bannerText{
  @extend .h2Class;
  @include font-size(40);
  @include line-height(40);
  position:relative;
  text-align:center;
  font-weight:900;
  z-index:3;
  color:$t_LightMost;
  margin-top: $bannerTopToCenterSpacing;
  /*background:{
    image: url('../img/banner-text-border.png');
    size:contain;
  };*/
  background-position: left top;
  background-repeat: no-repeat;
  width: $videoContainerWidth;
  height: $videoContainerHeight;
  padding-top: ($videoContainerHeight / 6);
  &:after{
    content:'';
    border: 20px solid rgba(255, 255, 255, .5);
    /*opacity: .6;*/
    position:absolute;
    @include box-shadow(0px, 0px, 25px, $t_Dark_1);
    @include box-shadow(0px, 0px, 25px, $t_Dark_1, true);

    width: $videoContainerWidth;
    height: $videoContainerHeight;
    left:0;
    top:0;

  }
  @media #{$small-only} {
    @include font-size(25);
    @include line-height(26);
    width: ($videoContainerWidth / 4 * 3);
    height: ($videoContainerHeight / 4 * 3) + 0px;
    margin-top: $bannerTopToCenterSpacing - 50px;
    &:after{
      display: none;
    }
    /*background-size: contain;*/
    /*padding-top: 55px;*/
  }

  i{
    @include font-size(15);
    @media #{$small-only} {
      @include font-size(10);
    }
  }
}

#bannerMasks {
    height: $bannerHLarge;
    width:100%;
    background: {
        image: url("../img/banner-image-mask-bottom.png");
        repeat: no-repeat;
        position: center bottom;
        size: cover;
    }

  @include bannerHeigtSmallandMedium();

}

.left {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 480px;
    height: $bannerHLarge;
    background: {
        image: url('../img/banner-image-mask-left.png');
        repeat: no-repeat;
        position: left bottom;
    }
    @media #{$medium-only} {
      height: $bannerHMedium;
      /*position:relative;*/
      left:-120px;
    }
}

.right {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 425px;
    height: $bannerHLarge;
    background: {
        image: url('../img/banner-image-mask-right.png');
        repeat: no-repeat;
        position: right 2px;
    }
    @media #{$medium-only} {
      height: $bannerHMedium;
      /*position:relative;*/
      right:-100px;
    }
}

#bannerImages {
  position: absolute;
  height: $bannerHLarge;
  max-height: $bannerHLarge;
  width: 100%;
  left: 0;
  top: 0;
  overflow: hidden;
  z-index:-1;

  @include bannerHeigtSmallandMedium();

  &:after {
    content: "";
    /*background: {
      image: url("../img/banner-image-1.jpg");
      repeat: no-repeat;
      position: center center;
      size: cover;
    }*/
    opacity: 0.8;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;
  }

}

#bannerSliderContainer{
  position:absolute;
  overflow:hidden;
  height: ($bannerHLarge - 2px);
  @include bannerHeigtSmallandMedium(- 2px);
  width:100%;
  top:0;
}

#bannerSlider{
  position:absolute;
  overflow:hidden;
  height: ($bannerHLarge + 50px);
  width: 110%;
  top: -5%;
  left: -5%;
  z-index: -2;
  background: {
    -color: $black;
  }

  .sliderItem{
    /*position: absolute;
    top:0;
    left:0;*/
    height: ($bannerHLarge + 50px);
    max-height: ($bannerHLarge + 50px);
    background: {
      repeat: no-repeat;
      position: center center;
      size: cover;
    }
  }
  /*@include bannerHeigtSmallandMedium();*/
  @media #{$small-only} {
      height: ($bannerHSmall + 30px);
      max-height: ($bannerHSmall + 30px);
  }

    @media #{$medium-only} {
      height: ($bannerHMedium + 40px);
      max-height: ($bannerHMedium + 40px);
  }
}



#bannerSocialAndVideoButtons{
  width: 100%;
  position:absolute;
  z-index: 1;
  top: ($bannerHLarge - 80px);
  /*margin-right: 3.5em;*/
  text-align:right;
  @media #{$small-only} {
    top: ($bannerHSmall - 50px);
    text-align:center;
  }

  @media #{$medium-only} {
    top: ($bannerHMedium - 90px);
    text-align:center;
  }
}

.callToPlay{
  margin-right: 6em;
  & #playButton, & #stopButton{
    display:inline-block;
    width:60px;
    height:60px;
    text-align:center;
    @include font-size(12);
    @include rounded(50%);
    background-color:$t_LightMost;
    i{
      position:absolute;
      top: 18px;
      left: 20px;
    }
    @include box-shadow(0px, 0px, 25px, #666);
    @include transition(all 200ms ease-in-out);
    &:hover{
    @include box-shadow(0px, 0px, 35px, #888);
    background-color:$t_Light_3;
    }
  }
  & #callToPlayText{
    font: {
      family: 'bebas_neueregular';
      //weight: 400;
    }
    @include font-size(10);
    padding-top:.3em;
    display: block;
    margin-left:1.2em;
    float:right;
    @include line-height (12);
    letter-spacing:4px;

    span{
      font-size:smaller;
    }
  }
  @media #{$small-only} {
    margin-right: 0px;
  }
  @media #{$medium-only} {
    margin-right: 0px;
  }
}

#bannerFollow{
  position:absolute;
  z-index: 1;
  top: ($bannerHLarge - 140px);
  left: 3.5em;
  @include font-size(7);
  @include rotate(-90deg);
  & a{
    padding:0px 5px 0px 0px;

    @include rotate(90deg);
    transform-origin: center center;

  }
  .socialsClass{

  }
}
